﻿using System;
using System.Windows;
using System.Windows.Media;
using Infragistics.Windows.Chart;

namespace WpfApplication2
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            // Création de la serie
            Series newSeries = new Series();
            Random r = new Random();
            newSeries.Name = "test";
            newSeries.Label = "test";
            newSeries.StrokeThickness = 2;
            newSeries.Fill = new SolidColorBrush(Colors.Blue);
            newSeries.ChartType = ChartType.Line;

            Marker newMarker = new Marker();
            newMarker.Fill = new SolidColorBrush(Colors.BlueViolet );
            newMarker.Stroke = Brushes.Green;
            newMarker.StrokeThickness = 3;
            newMarker.Foreground = Brushes.Red;
            newMarker.Format = " ";
            newMarker.MarkerSize = 7;
            newSeries.Marker = newMarker;

            DateTime dt = DateTime.Today;
            int gap = 0;
            int currentTime = 0;
            while (currentTime < 1440)
            {
                DataPoint dp = new DataPoint();
                //next point, between current time and 11:59 PM
                gap = r.Next(1, 1440 - currentTime);
                currentTime += gap;
                dp.Label = dt.AddMinutes(currentTime).ToString("HH:mm");
                dp.Value = r.Next(1000, 10000);
                newSeries.DataPoints.Add(dp);
            }

            Series newSeries2 = new Series();
            newSeries.Name = "";
            newSeries.Label = "";
            newSeries.ChartType = ChartType.Line;
            dt = DateTime.Today;

            //To keep a correct graduated axe X.
            for (int i = 1; i <= 288; i++)
            {
                DataPoint dp = new DataPoint();
                dp.Label = dt.AddMinutes(i * 5).ToString("HH:mm");
                dp.NullValue = true;
                newSeries2.DataPoints.Add(dp);
            }

            this.MeterBaseXamChart.Series.Add(newSeries);
            this.MeterBaseXamChart.Series.Add(newSeries2);
            
            MeterBaseXamChart.Refresh();
        }
    }
}
